AddDimRadial Example

Using Programming Languages other than VBA

Sub Example_AddDimRadial()
	' This example creates a radial dimension in model space.

	Dim dimObj As AcadDimRadial
	Dim center(0 To 2) As Double
	Dim chordPoint(0 To 2) As Double
	Dim leaderLen As Integer

	' Define the dimension
	center(0) = 0#: center(1) = 0#: center(2) = 0#
	chordPoint(0) = 5#: chordPoint(1) = 5#: chordPoint(2) = 0#
	leaderLen = 5

	' Create the radial dimension in model space
	Set dimObj = ThisDrawing.ModelSpace.AddDimRadial(center, chordPoint, leaderLen)
	ZoomAll
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.